Loading...
Searching...
No Matches
Monotonic.h File Reference

Methods for computing whether expressions are monotonic. More...

`#include <iostream>`
`#include <string>`
`#include "ConstantInterval.h"`
`#include "Scope.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Enumerations

enum class | Halide::Internal::Monotonic { Halide::Internal::Constant , Halide::Internal::Increasing , Halide::Internal::Decreasing , Halide::Internal::Unknown }
| Detect whether an expression is monotonic increasing in a variable, decreasing, or unknown. More...

## Functions

ConstantInterval | Halide::Internal::derivative_bounds (const Expr &e, const std::string &var, const Scope< ConstantInterval > &scope=Scope< ConstantInterval >::empty_scope())
| Find the bounds of the derivative of an expression.
Monotonic | Halide::Internal::is_monotonic (const Expr &e, const std::string &var, const Scope< ConstantInterval > &scope=Scope< ConstantInterval >::empty_scope())
Monotonic | Halide::Internal::is_monotonic (const Expr &e, const std::string &var, const Scope< Monotonic > &scope)
std::ostream & | Halide::Internal::operator<< (std::ostream &stream, const Monotonic &m)
| Emit the monotonic class in human-readable form for debugging.
void | Halide::Internal::is_monotonic_test ()

## Detailed Description

Methods for computing whether expressions are monotonic.

Definition in file Monotonic.h.